Subject: cvslib - a java interface to communicate with a cvs server.

From: "Tzahi Fadida" <[email-masked]>
Date: Fri, 7 Nov 2003 02:48:56 +0200

Hi all,
I have decided that for now i will release the cvslib project in my site.
http://www.technion.ac.il/~tzahi/

"cvslib is a library to interface your everyday application with a cvs server.
actually,
it acts as a cvs client but more robustly with proper exceptions. the library is
written in java
and uses the jcvs library for the actual protocol communication. cvslib is a
wrapper around
jcvs to allow your application to use function calls for files easily and to
remove the difficult
programming of the protocol before commit update, etc.. and also to control the
adminitrative
files in a more robust way that an application can use, since it will not always
succeed because
of the nature of the cvs server. To use it, please use the interface called
CVSLIB\CVSInterface.java
and add cvslib.jar to your classpath. in addition you have to add the jcvs or
cvssc.jar to your class path.
for convinience i have supplied this jar file, but you can find the more recent
files in jcvs.org
but please note that i have not tested it with the newer libraries though it
would probably work.
N.B.: It is released under the LGPL as you can read in the source files."

enjoy.

* - * - *
Tzahi Fadida
MSc Student
Information System Engineering Area
Faculty of Industrial Engineering & Management
Technion - Israel Institute of Technology
Technion City, Haifa, Israel 32000
Email [email-masked]
Technion Email: [email-masked]
* - * - * - * - * - * - * - * - * - *

WARNING TO SPAMMERS:  see at http://members.lycos.co.uk/my2nis/spamwarning.html